Name:		turtlearena
Summary:	A Third Person Action game using a modified version of the ioquake3 engine
Version:	0.6.1
Release:	%mkrel 15
License:	GPLv2+
Group:		Games/Shooter
URL:		https://clover.moe/turtlearena/
Source0:	http://turtlearena.googlecode.com/files/%{name}-%{version}-0-src.tar.bz2
# From openarena-engine
# https://github.com/pelya/openarena-engine/commit/e1c5a8f700ddda51d2a0dc4d289c02dd21a0bee5
Patch0:		0001-Added-ARM64-support.patch
ExcludeArch:	%{ix86}
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(glu)
BuildRequires:	imagemagick
Requires:	%{name}-data => %{version}

%description
Turtle Arena (working title) is a free and open source cross-platform
third-person action game using a modified version of the ioquake3 engine.
Turtle Arena is currently focused on multiplayer (with multiple game modes)
and can be played with human players over a network, split-screen, or with AI
players. In the future there will also be a single player / cooperative reach
the end of the level mode with AI enemies.

The game is currently in the process of changing from "Turtle Arena" to
"Extraordinary Beat X."

%files
%{_bindir}/%{name}
%{_bindir}/%{name}.real
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for TurtleArena
Requires:	%{name}-data => %{version}

%description server
Turtle Arena (working title) is a free and open source cross-platform 
third-person action game using a modified version of the ioquake3 engine.
Turtle Arena is currently focused on multiplayer (with multiple game modes) 
and can be played with human players over a network, split-screen, or with AI 
players. In the future there will also be a single player / cooperative reach 
the end of the level mode with AI enemies.

This package contains the dedicated server for Turtle Arena.

%files server
%{_bindir}/%{name}-server

#----------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-0-src

pushd engine
%patch -P 0 -p1
popd

%build
#The setup_compile_flags macro commented because it breaks the build, somehow
#makes the build don't find math lib which is part of linker flags of the game
#%%set_build_flags

#The serverbuild macro commented because makes the game freeze at loading
#%%serverbuild
%make_build -C engine CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 engine/build/release-linux-*/%{name}.* \
  %{buildroot}%{_bindir}/%{name}.real
install -m 755 engine/build/release-linux-*/%{name}-server.* \
  %{buildroot}%{_bindir}/%{name}-server

install -d %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/%{name}.real +set com_basegame base +set com_homepath .%{name} +set fs_basepath %{_datadir}/%{name}-data
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert -scale 64x64 debian_main/engine/debian/turtlearena128.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48x48 debian_main/engine/debian/turtlearena128.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 debian_main/engine/debian/turtlearena128.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 debian_main/engine/debian/turtlearena128.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TurtleArena
Comment=Quake 3: Arena-like Third Person Action Game
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF


%changelog
* Sat Dec 28 2024 daviddavid <daviddavid> 0.6.1-15.mga10
+ Revision: 2130742
- exclude i686 arch
+ pterjan <pterjan>
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 0.6.1-12.mga9
+ Revision: 1839391
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.6.1-11.mga8
+ Revision: 1517507
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.6.1-10.mga7
+ Revision: 1301472
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 wally <wally> 0.6.1-9.mga7
+ Revision: 1246097
- add patch originally from openarena-engine to add aarch64 support

* Sat Sep 02 2017 daviddavid <daviddavid> 0.6.1-8.mga7
+ Revision: 1150969
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Mon Feb 08 2016 umeabot <umeabot> 0.6.1-7.mga6
+ Revision: 945204
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-6.mga5
+ Revision: 746462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-5.mga5
+ Revision: 689976
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1-4.mga4
+ Revision: 519762
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.1-3.mga3
+ Revision: 384843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.6.1-2.mga3
+ Revision: 343871
- updated RPM group

* Fri Nov 16 2012 juancho <juancho> 0.6.1-1.mga3
+ Revision: 318672
- Updated to 0.6.1

* Fri Nov 16 2012 blino <blino> 0.6-3.mga3
+ Revision: 318429
- fix URL

* Fri Nov 16 2012 juancho <juancho> 0.6-2.mga3
+ Revision: 318410
- Change group to new Games/Shooter

* Wed Apr 25 2012 juancho <juancho> 0.6-1.mga2
+ Revision: 233180
- Updated to 0.6

* Tue Mar 06 2012 zezinho <zezinho> 0.5.3-3.mga2
+ Revision: 220491
- remove soundwrapper from menu as it is not used anymore and fix data path
+ juancho <juancho>
- Adjusted game description by upstream request.

* Wed Jan 18 2012 juancho <juancho> 0.5.3-2.mga2
+ Revision: 197766
- Be more compliant with Fedora Games packaging recommendations: splitted package into separate turtlearena and turtlearena-data packages.
- Be more compliant with Fedora Games packaging recommendations: moved the game data files to %%{_datadir}/%%{_name} instead of %%{_gamesdatadir}/%%{name}
- Be more compliant with Fedora Games packaging recommendations: moved the game binaries to %%{_bindir}/ instead of %%{_gamesbindir}/

* Mon Jan 16 2012 juancho <juancho> 0.5.3-1.mga2
+ Revision: 196700
- Added added correct missing BR imagemagick
- Added missing BR desktop-file-utils
- imported package turtlearena

